# Created by pyp2rpm-3.3.5

# Unset -s on python shebang - ensure that extensions installed with pip
# to user locations are seen and properly loaded
%global py3_shebang_flags %nil

%global pypi_name nbclient

%global _description %{expand:
NBClient, a client library for programmatic notebook execution, is a tool for 
running Jupyter Notebooks in different execution contexts. NBClient was spun 
out of nbconvert (formerly ExecutePreprocessor). NBClient lets you execute notebooks.
}

Name:           python-%{pypi_name}
Version:        0.5.11
Release:        1%{?dist}
Summary:        A client library for executing notebooks

License:        BSD
URL:            https://jupyter.org
Source0:        %{pypi_source}
BuildArch:      noarch

# Fixes tests with IPython 8.1
# Already merged upstream: https://github.com/jupyter/nbclient/pull/202
Patch0:         https://github.com/jupyter/nbclient/commit/2e61ef96464cc37a27e9edb7cf4fe407d7bc3a32.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(traitlets) >= 4.2
BuildRequires:  python3dist(jupyter-client) >= 5.3.4
BuildRequires:  python3dist(nbformat) >= 5
BuildRequires:  python3dist(async-generator)
BuildRequires:  python3dist(nest-asyncio)

%bcond_without check

%if %{with check}
# for testing
BuildRequires:  python3dist(ipython)
BuildRequires:  python3dist(ipywidgets)
BuildRequires:  python3dist(nbconvert)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(testpath)
BuildRequires:  python3dist(xmltodict)
%endif

%description
%_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%py_provides python3-%{pypi_name}

Requires:  python3dist(traitlets) >= 4.2
Requires:  python3dist(jupyter-client) >= 5.3.4
Requires:  python3dist(nbformat) >= 5
Requires:  python3dist(async-generator)
Requires:  python3dist(nest-asyncio)

%description -n python3-%{pypi_name}
%_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%pytest -vv
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/jupyter-execute
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 01 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.11-1
- Update to 0.5.11 and fix tests with IPython 8.1
Resolves: rhbz#2054387

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.10-1
- Update to 0.5.10
Resolves: rhbz#2040501

* Tue Jan 04 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.9-1
- Update to 0.5.9
Resolves: rhbz#2022624

* Mon Nov 29 2021 Karolina Surma <ksurma@redhat.com> - 0.5.5-2
- Remove -s from Python shebang in `jupyter-execute` to let Jupyter see pip 
  installed extensions

* Tue Nov 09 2021 Lumír Balhar <lbalhar@redhat.com> - 0.5.5-1
- Update to 0.5.5
Resolves: rhbz#2021051

* Tue Aug 31 2021 Lumír Balhar <lbalhar@redhat.com> - 0.5.4-1
- Update to 0.5.4
Resolves: rhbz#1993880

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.3-3
- Rebuilt for Python 3.10

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.3-2
- Bootstrap for Python 3.10

* Sun Feb 28 2021 Lumír Balhar <lbalhar@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan  7 17:08:21 CET 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.5.1-3
- Bootstrap for Python 3.10

* Sat Nov 28 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.1-2
- Change pytest invocation
- use py_provides macro

* Thu Nov 26 2020 Mukundan Ragavan <nonamedotc@gmail.com> - 0.5.1-1
- Initial package.
